pcl::io::PointCloudImageExtractorFromNormalField< PointT > Class Template Reference
Module io

Image Extractor which uses the data present in the "normal" field. More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorFromNormalField< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudImageExtractorFromNormalField< PointT > >
using | ConstPtr = shared_ptr< const PointCloudImageExtractorFromNormalField< PointT > >
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | Ptr = shared_ptr< PointCloudImageExtractor< PointT > >
using | ConstPtr = shared_ptr< const PointCloudImageExtractor< PointT > >

## Public Member Functions

| PointCloudImageExtractorFromNormalField ()
| Constructor. More...
| ~PointCloudImageExtractorFromNormalField ()
| Destructor. More...
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()
| Constructor. More...
virtual | ~PointCloudImageExtractor ()
| Destructor. More...
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud. More...
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Protected Member Functions

bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &img) const override
| Implementation of the extract() function, has to be implemented in deriving classes. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Detailed Description

### template<typename PointT>
class pcl::io::PointCloudImageExtractorFromNormalField< PointT >

Image Extractor which uses the data present in the "normal" field.

Normal vector components (x, y, z) are mapped to color channels (r, g, b respectively).

Author
  Sergey Alexandrov

Definition at line 203 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::io::PointCloudImageExtractorFromNormalField< PointT >::ConstPtr = shared_ptr<const PointCloudImageExtractorFromNormalField<PointT> >

Definition at line 209 of file point_cloud_image_extractors.h.

## Ptr

template<typename PointT >

using pcl::io::PointCloudImageExtractorFromNormalField< PointT >::Ptr = shared_ptr<PointCloudImageExtractorFromNormalField<PointT> >

Definition at line 208 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

## PointCloudImageExtractorFromNormalField()

template<typename PointT >

pcl::io::PointCloudImageExtractorFromNormalField< PointT >::PointCloudImageExtractorFromNormalField | ( |  | ) |

inline

Constructor.

Definition at line 212 of file point_cloud_image_extractors.h.

## ~PointCloudImageExtractorFromNormalField()

template<typename PointT >

pcl::io::PointCloudImageExtractorFromNormalField< PointT >::~PointCloudImageExtractorFromNormalField | ( |  | ) |

inline

Destructor.

Definition at line 215 of file point_cloud_image_extractors.h.

## Member Function Documentation

## extractImpl()

template<typename PointT >

bool pcl::io::PointCloudImageExtractorFromNormalField< PointT >::extractImpl | ( | const PointCloud & | cloud,
|  | pcl::PCLImage & | image
| ) |  | const

override protected virtual

Implementation of the extract() function, has to be implemented in deriving classes.

Implements pcl::io::PointCloudImageExtractor< PointT >.

Definition at line 71 of file point_cloud_image_extractors.hpp.

References pcl::PCLImage::data, pcl::PCLImage::encoding, pcl::PCLImage::height, pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, pcl::PCLImage::step, pcl::PCLImage::width, and pcl::PointCloud< PointT >::width.

The documentation for this class was generated from the following files:

- pcl/io/point_cloud_image_extractors.h
- pcl/io/impl/point_cloud_image_extractors.hpp